<template>
  <br>
  <LoginForm @login-attempt="login"/>
  <br>
  <RegisterForm @register-attempt="register"/>
</template>


<script>
import LoginForm from "../components/home/LoginForm.vue"
import RegisterForm from "../components/home/RegisterForm"



export default {
  name: 'HomeView',
  components: {
    LoginForm,
    RegisterForm,
  },
  methods: {
    async login(credentials){
      await fetch('http://localhost:8000/api/login', {
        method: 'POST',
        headers:{
          'Content-Type': 'application/json',
          'Accept': 'application/json',
        },
        body: JSON.stringify(credentials)
      })

    },
    async register(credentials){
      await fetch('http://localhost:8000/api/register', {
        method: 'POST',
        headers:{
          'Content-Type': 'application/json',
          'Accept': 'application/json',
        },
        body: JSON.stringify(credentials)
      })


    }
  }
}
</script>